Index: sandbox_qt/src/libraries/core/PathConfig.cc
===================================================================
--- sandbox_qt/src/libraries/core/PathConfig.cc	(revision 7419)
+++ sandbox_qt/src/libraries/core/PathConfig.cc	(revision 7421)
@@ -33,6 +33,4 @@
 #include <cstdio>
 #include <vector>
-#include <boost/version.hpp>
-#include <boost/filesystem.hpp>
 
 #ifdef ORXONOX_PLATFORM_WINDOWS
@@ -54,32 +52,11 @@
 #include "util/Debug.h"
 #include "util/Exception.h"
-#include "CommandLineParser.h"
-
-// Boost 1.36 has some issues with deprecated functions that have been omitted
-#if (BOOST_VERSION == 103600)
-#  define BOOST_LEAF_FUNCTION filename
-#else
-#  define BOOST_LEAF_FUNCTION leaf
-#endif
 
 namespace orxonox
 {
-    namespace bf = boost::filesystem;
-
     //! Static pointer to the singleton
     PathConfig* PathConfig::singletonPtr_s  = 0;
 
-    SetCommandLineArgument(externalDataPath, "").information("Path to the external data files");
-    SetCommandLineOnlyArgument(writingPathSuffix, "").information("Additional subfolder for config and log files");
-
     PathConfig::PathConfig()
-        : rootPath_(*(new bf::path()))
-        , executablePath_(*(new bf::path()))
-        , modulePath_(*(new bf::path()))
-        , dataPath_(*(new bf::path()))
-        , externalDataPath_(*(new bf::path()))
-        , configPath_(*(new bf::path()))
-        , logPath_(*(new bf::path()))
-        , bDevRun_(false)
     {
         //////////////////////////
@@ -125,18 +102,13 @@
 #endif
 
-        executablePath_ = bf::path(buffer);
+        executablePath_ = QDir(buffer);
 #ifndef ORXONOX_PLATFORM_APPLE
-        executablePath_ = executablePath_.branch_path(); // remove executable name
-#endif
-
-        /////////////////////
-        // SET MODULE PATH //
-        /////////////////////
-
-        if (bf::exists(executablePath_ / "orxonox_dev_build.keep_me"))
+        executablePath_.cdUp(); // remove executable name
+#endif
+
+        if (executablePath_.exists("orxonox_dev_build.keep_me"))
         {
             COUT(1) << "Running from the build tree." << std::endl;
             PathConfig::bDevRun_ = true;
-            modulePath_ = specialConfig::moduleDevDirectory;
         }
         else
@@ -146,19 +118,15 @@
 
             // Also set the root path
-            bf::path relativeExecutablePath(specialConfig::defaultRuntimePath);
+            QDir relativeExecutablePath(specialConfig::defaultRuntimePath);
             rootPath_ = executablePath_;
-            while (!bf::equivalent(rootPath_ / relativeExecutablePath, executablePath_) && !rootPath_.empty())
-                rootPath_ = rootPath_.branch_path();
-            if (rootPath_.empty())
-                ThrowException(General, "Could not derive a root directory. Might the binary installation directory contain '..' when taken relative to the installation prefix path?");
-
-            // Module path is fixed as well
-            modulePath_ = rootPath_ / specialConfig::defaultModulePath;
+            while (rootPath_ / relativeExecutablePath != executablePath_)
+            {
+                if (!rootPath_.cdUp())
+                    ThrowException(General, "Could not derive a root directory. Might the binary installation directory contain '..' when taken relative to the installation prefix path?");
+            }
 
 #else
 
             // There is no root path, so don't set it at all
-            // Module path is fixed as well
-            modulePath_ = specialConfig::moduleInstallDirectory;
 
 #endif
@@ -168,11 +136,4 @@
     PathConfig::~PathConfig()
     {
-        delete &rootPath_;
-        delete &executablePath_;
-        delete &modulePath_;
-        delete &dataPath_;
-        delete &externalDataPath_;
-        delete &configPath_;
-        delete &logPath_;
     }
 
@@ -184,10 +145,4 @@
             configPath_       = specialConfig::configDevDirectory;
             logPath_          = specialConfig::logDevDirectory;
-
-            // Check for data path override by the command line
-            if (!CommandLineParser::getArgument("externalDataPath")->hasDefaultValue())
-                externalDataPath_ = CommandLineParser::getValue("externalDataPath").getString();
-            else
-                externalDataPath_ = specialConfig::externalDataDevDirectory;
         }
         else
@@ -213,5 +168,5 @@
             if (userDataPathPtr == NULL)
                 ThrowException(General, "Could not retrieve user data path.");
-            bf::path userDataPath(userDataPathPtr);
+            QDir userDataPath(userDataPathPtr);
             userDataPath /= ".orxonox";
 
@@ -223,27 +178,16 @@
         }
 
-        // Option to put all the config and log files in a separate folder
-        if (!CommandLineParser::getArgument("writingPathSuffix")->hasDefaultValue())
-        {
-            const std::string& directory(CommandLineParser::getValue("writingPathSuffix").getString());
-            configPath_ = configPath_ / directory;
-            logPath_    = logPath_    / directory;
-        }
-
         // Create directories to avoid problems when opening files in non existent folders.
-        std::vector<std::pair<bf::path, std::string> > directories;
-        directories.push_back(std::make_pair(bf::path(configPath_), "config"));
-        directories.push_back(std::make_pair(bf::path(logPath_), "log"));
-
-        for (std::vector<std::pair<bf::path, std::string> >::iterator it = directories.begin();
+        std::vector<std::pair<QDir, std::string> > directories;
+        directories.push_back(std::make_pair(QDir(configPath_), "config"));
+        directories.push_back(std::make_pair(QDir(logPath_), "log"));
+
+        for (std::vector<std::pair<QDir, std::string> >::iterator it = directories.begin();
             it != directories.end(); ++it)
         {
-            if (bf::exists(it->first) && !bf::is_directory(it->first))
+            if (!it->first.exists())
             {
-                ThrowException(General, std::string("The ") + it->second + " directory has been preoccupied by a file! \
-                                         Please remove " + it->first.string());
-            }
-            if (bf::create_directories(it->first)) // function may not return true at all (bug?)
-            {
+                if (!it->first.mkpath("."))
+                    ThrowException(General, std::string("The ") + it->second + " directory could not be created.");
                 COUT(4) << "Created " << it->second << " directory" << std::endl;
             }
@@ -251,77 +195,27 @@
     }
 
-    std::vector<std::string> PathConfig::getModulePaths()
-    {
-        std::vector<std::string> modulePaths;
-
-        // We search for helper files with the following extension
-        const std::string& moduleextension = specialConfig::moduleExtension;
-        size_t moduleextensionlength = moduleextension.size();
-
-        // Add that path to the PATH variable in case a module depends on another one
-        std::string pathVariable(getenv("PATH"));
-        putenv(const_cast<char*>(("PATH=" + pathVariable + ';' + modulePath_.string()).c_str()));
-
-        // Make sure the path exists, otherwise don't load modules
-        if (!boost::filesystem::exists(modulePath_))
-            return modulePaths;
-
-        boost::filesystem::directory_iterator file(modulePath_);
-        boost::filesystem::directory_iterator end;
-
-        // Iterate through all files
-        while (file != end)
-        {
-            const std::string& filename = file->BOOST_LEAF_FUNCTION();
-
-            // Check if the file ends with the exension in question
-            if (filename.size() > moduleextensionlength)
-            {
-                if (filename.substr(filename.size() - moduleextensionlength) == moduleextension)
-                {
-                    // We've found a helper file
-                    const std::string& library = filename.substr(0, filename.size() - moduleextensionlength);
-                    modulePaths.push_back((modulePath_ / library).file_string());
-                }
-            }
-            ++file;
-        }
-
-        return modulePaths;
-    }
-
     /*static*/ std::string PathConfig::getRootPathString()
     {
-        return getInstance().rootPath_.string() + '/';
+        return getInstance().rootPath_.path().toStdString() + '/';
     }
 
     /*static*/ std::string PathConfig::getExecutablePathString()
     {
-        return getInstance().executablePath_.string() + '/';
+        return getInstance().executablePath_.path().toStdString() + '/';
     }
 
     /*static*/ std::string PathConfig::getDataPathString()
     {
-        return getInstance().dataPath_.string() + '/';
-    }
-
-    /*static*/ std::string PathConfig::getExternalDataPathString()
-    {
-        return getInstance().externalDataPath_.string() + '/';
+        return getInstance().dataPath_.path().toStdString() + '/';
     }
 
     /*static*/ std::string PathConfig::getConfigPathString()
     {
-        return getInstance().configPath_.string() + '/';
+        return getInstance().configPath_.path().toStdString() + '/';
     }
 
     /*static*/ std::string PathConfig::getLogPathString()
     {
-        return getInstance().logPath_.string() + '/';
-    }
-
-    /*static*/ std::string PathConfig::getModulePathString()
-    {
-        return getInstance().modulePath_.string() + '/';
+        return getInstance().logPath_.path().toStdString() + '/';
     }
 }
Index: sandbox_qt/src/libraries/core/PathConfig.h
===================================================================
--- sandbox_qt/src/libraries/core/PathConfig.h	(revision 7419)
+++ sandbox_qt/src/libraries/core/PathConfig.h	(revision 7421)
@@ -39,25 +39,22 @@
 #include <string>
 #include <vector>
+#include <QDir>
 #include "util/Singleton.h"
 
-//tolua_begin
 namespace orxonox
 {
-//tolua_end
     /**
     @brief
         The PathConfig class is a singleton used to configure different paths.
     @details
-        The class provides information about the data, config, log, executable,
-        root and module path.
+        The class provides information about the data, config, log, executable
+        and root path.
         It determines those by the use of platform specific functions.
     @remarks
         Not all paths are always available:
         - root only when installed copyable
-        - externalData only for development builds in the build tree
     */
-    class _CoreExport PathConfig //tolua_export
-        : public Singleton<PathConfig>
-    { //tolua_export
+    class _CoreExport PathConfig : public Singleton<PathConfig>
+    {
         friend class Singleton<PathConfig>;
         friend class Core;
@@ -66,5 +63,5 @@
             /**
             @brief
-                Retrievs the executable path and sets all hard coded fixed paths (currently only the module path)
+                Retrieves the executable path and sets all hard coded fixed paths (currently only the module path)
                 Also checks for "orxonox_dev_build.keep_me" in the executable diretory.
                 If found it means that this is not an installed run, hence we
@@ -76,25 +73,19 @@
             ~PathConfig();
 
-            //! Returns the path to the root folder as boost::filesystem::path
-            static const boost::filesystem::path& getRootPath()
+            //! Returns the path to the root folder as QDir
+            static const QDir& getRootPath()
                 { return getInstance().rootPath_; }
-            //! Returns the path to the executable folder as boost::filesystem::path
-            static const boost::filesystem::path& getExecutablePath()
+            //! Returns the path to the executable folder as QDir
+            static const QDir& getExecutablePath()
                 { return getInstance().executablePath_; }
-            //! Returns the path to the data files as boost::filesystem::path
-            static const boost::filesystem::path& getDataPath()
+            //! Returns the path to the data files as QDir
+            static const QDir& getDataPath()
                 { return getInstance().dataPath_; }
-            //! Returns the path to the external data files as boost::filesystem::path
-            static const boost::filesystem::path& getExternalDataPath()
-                { return getInstance().externalDataPath_; }
-            //! Returns the path to the config files as boost::filesystem::path
-            static const boost::filesystem::path& getConfigPath()
+            //! Returns the path to the config files as QDir
+            static const QDir& getConfigPath()
                 { return getInstance().configPath_; }
-            //! Returns the path to the log files as boost::filesystem::path
-            static const boost::filesystem::path& getLogPath()
+            //! Returns the path to the log files as QDir
+            static const QDir& getLogPath()
                 { return getInstance().logPath_; }
-            //! Returns the path to the modules as boost::filesystem::path
-            static const boost::filesystem::path& getModulePath()
-                { return getInstance().modulePath_; }
 
             //! Returns the path to the root folder as std::string
@@ -104,12 +95,8 @@
             //! Returns the path to the data files as std::string
             static std::string getDataPathString();
-            //! Returns the path to the external data files as std::string
-            static std::string getExternalDataPathString();
             //! Returns the path to the config files as std::string
             static std::string getConfigPathString(); //tolua_export
             //! Returns the path to the log files as std::string
             static std::string getLogPathString();
-            //! Returns the path to the modules as std::string
-            static std::string getModulePathString();
 
             //! Return trrue for runs in the build directory (not installed)
@@ -126,17 +113,13 @@
             */
             void setConfigurablePaths();
-            //! Returns a list with all modules declared by a *.module file in the module folder.
-            std::vector<std::string> getModulePaths();
 
             //! Path to the parent directory of the ones above if program was installed with relativ paths
-            boost::filesystem::path& rootPath_;
-            boost::filesystem::path& executablePath_;        //!< Path to the executable
-            boost::filesystem::path& modulePath_;            //!< Path to the modules
-            boost::filesystem::path& dataPath_;              //!< Path to the data files folder
-            boost::filesystem::path& externalDataPath_;      //!< Path to the external data files folder
-            boost::filesystem::path& configPath_;            //!< Path to the config files folder
-            boost::filesystem::path& logPath_;               //!< Path to the log files folder
+            QDir               rootPath_;
+            QDir               executablePath_;        //!< Path to the executable
+            QDir               dataPath_;              //!< Path to the data files folder
+            QDir               configPath_;            //!< Path to the config files folder
+            QDir               logPath_;               //!< Path to the log files folder
 
-            bool                     bDevRun_;               //!< True for runs in the build directory (not installed)
+            bool               bDevRun_;               //!< True for runs in the build directory (not installed)
             static PathConfig* singletonPtr_s;
     }; //tolua_export
Index: sandbox_qt/src/libraries/util/CMakeLists.txt
===================================================================
--- sandbox_qt/src/libraries/util/CMakeLists.txt	(revision 7419)
+++ sandbox_qt/src/libraries/util/CMakeLists.txt	(revision 7421)
@@ -19,41 +19,19 @@
 
 SET_SOURCE_FILES(UTIL_SRC_FILES
-  Clock.cc
   Exception.cc
-  ExprParser.cc
   Math.cc
-  MultiType.cc
-  Scope.cc
   StringUtils.cc
 COMPILATION_BEGIN StableCompilation.cc
-  Clipboard.cc
   Convert.cc
-  CRC32.cc
   OutputHandler.cc
-  ScopedSingletonManager.cc
-  SharedPtr.cc
-  SignalHandler.cc
   Sleep.cc
-  SmallObjectAllocator.cc
   SubString.cc
 COMPILATION_END
 )
 
-IF(GCC_NO_SYSTEM_HEADER_SUPPORT)
-  # Get around displaying a few hundred lines of warning code
-  SET_SOURCE_FILES_PROPERTIES(MultiType.cc PROPERTIES COMPILE_FLAGS "-w")
-ENDIF()
-IF(MSVC)
-  # Simply using #pragma warning(disable:4244) doesn't really disable it
-  # if the warning occurs in a template in another file
-  # Hence promote it manually to a higher warning level (4)
-  SET_SOURCE_FILES_PROPERTIES(MultiType.cc PROPERTIES COMPILE_FLAGS "-w44244")
-ENDIF()
-
 ORXONOX_ADD_LIBRARY(util
   FIND_HEADER_FILES
   LINK_LIBRARIES
-    ${CEGUI_LIBRARY}
-    ${OGRE_LIBRARY}
+    ${QT_QTCORE_LIBRARY}
   SOURCE_FILES
     ${UTIL_SRC_FILES}
Index: sandbox_qt/src/libraries/util/Exception.cc
===================================================================
--- sandbox_qt/src/libraries/util/Exception.cc	(revision 7419)
+++ sandbox_qt/src/libraries/util/Exception.cc	(revision 7421)
@@ -35,5 +35,4 @@
 #include "Exception.h"
 
-#include <CEGUIExceptions.h>
 #include "Debug.h"
 
@@ -99,13 +98,4 @@
             return ex.what();
         }
-        catch (const CEGUI::Exception& ex)
-        {
-#if CEGUI_VERSION_MAJOR == 0 && CEGUI_VERSION_MINOR < 6
-            return GeneralException(ex.getMessage().c_str()).getDescription();
-#else
-            return GeneralException(ex.getMessage().c_str(), ex.getLine(),
-                ex.getFileName().c_str(), ex.getName().c_str()).getDescription();
-#endif
-        }
         catch (...)
         {
Index: sandbox_qt/src/libraries/util/Math.cc
===================================================================
--- sandbox_qt/src/libraries/util/Math.cc	(revision 7419)
+++ sandbox_qt/src/libraries/util/Math.cc	(revision 7421)
@@ -34,190 +34,6 @@
 #include "Math.h"
 
-#include <OgrePlane.h>
-
-#include "MathConvert.h"
-#include "SubString.h"
-// Do not remove this include, it avoids linker errors.
-#include "mbool.h"
-
 namespace orxonox
 {
-#if OGRE_VERSION < 0x010603
-    /**
-        @brief Function for writing a Radian to a stream.
-    */
-    std::ostream& operator<<(std::ostream& out, const orxonox::Radian& radian)
-    {
-        out << radian.valueRadians();
-        return out;
-    }
-
-    /**
-        @brief Function for writing a Degree to a stream.
-    */
-    std::ostream& operator<<(std::ostream& out, const orxonox::Degree& degree)
-    {
-        out << degree.valueDegrees();
-        return out;
-    }
-#endif
-
-    /**
-        @brief Function for reading a Radian from a stream.
-    */
-    std::istream& operator>>(std::istream& in, orxonox::Radian& radian)
-    {
-        float temp;
-        in >> temp;
-        radian = temp;
-        return in;
-    }
-
-    /**
-        @brief Function for reading a Degree from a stream.
-    */
-    std::istream& operator>>(std::istream& in, orxonox::Degree& degree)
-    {
-        float temp;
-        in >> temp;
-        degree = temp;
-        return in;
-    }
-
-
-    /**
-        @brief Gets the angle between my viewing direction and the direction to the position of the other object.
-        @param myposition My position
-        @param mydirection My viewing direction
-        @param otherposition The position of the other object
-        @return The angle in radian
-
-        Examples:
-         - If the other object is exactly in front of me, the function returns 0.
-         - If the other object is exactly behind me, the function returns pi.
-         - If the other object is exactly right/left to me (or above/below), the function returns pi/2.
-    */
-    float getAngle(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& otherposition)
-    {
-        orxonox::Vector3 distance = otherposition - myposition;
-        float distancelength = distance.length();
-        if (distancelength == 0)
-            return 0;
-        else
-            return acos(clamp<float>(mydirection.dotProduct(distance) / distancelength, -1, 1));
-    }
-
-    /**
-        @brief Gets the 2D viewing direction (up/down, left/right) to the position of the other object.
-        @param myposition My position
-        @param mydirection My viewing direction
-        @param myorthonormal My orthonormalvector (pointing upwards through my head)
-        @param otherposition The position of the other object
-        @return The viewing direction
-
-        Examples:
-         - If the other object is exactly in front of me, the function returns <tt>Vector2(0, 0)</tt>.
-         - If the other object is exactly at my left, the function returns <tt>Vector2(-1, 0)</tt>.
-         - If the other object is exactly at my right, the function returns <tt>Vector2(1, 0)</tt>.
-         - If the other object is only a bit at my right, the function still returns <tt>Vector2(1, 0)</tt>.
-         - If the other object is exactly above me, the function returns <tt>Vector2(0, 1)</tt>.
-    */
-    orxonox::Vector2 get2DViewdirection(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition)
-    {
-        orxonox::Vector3 distance = otherposition - myposition;
-
-        // project difference vector on our plane
-        orxonox::Vector3 projection = Ogre::Plane(mydirection, myposition).projectVector(distance);
-
-        float projectionlength = projection.length();
-        if (projectionlength == 0)
-        {
-            if (myposition.dotProduct(otherposition) >= 0)
-                return orxonox::Vector2(0, 0);
-            else
-                return orxonox::Vector2(0, 1);
-        }
-
-        float cos_value = clamp<float>(myorthonormal.dotProduct(projection) / projectionlength, -1, 1);
-        float sin_value = sqrt( 1 - cos_value*cos_value );
-
-        if ((mydirection.crossProduct(myorthonormal)).dotProduct(distance) > 0)
-            return orxonox::Vector2( sin_value, cos_value );
-        else
-            return orxonox::Vector2( -sin_value, cos_value );
-    }
-
-    /**
-        @brief Gets the 2D viewing direction (up/down, left/right) to the position of the other object, multiplied with the viewing distance to the object (0° = 0, 180° = 1).
-        @param myposition My position
-        @param mydirection My viewing direction
-        @param myorthonormal My orthonormalvector (pointing upwards through my head)
-        @param otherposition The position of the other object
-        @return The viewing direction
-
-        Examples:
-         - If the other object is exactly in front of me, the function returns <tt>Vector2(0, 0)</tt>.
-         - If the other object is exactly at my left, the function returns <tt>Vector2(-0.5, 0)</tt>.
-         - If the other object is exactly at my right, the function returns <tt>Vector2(0.5, 0)</tt>.
-         - If the other object is only a bit at my right, the function still returns <tt>Vector2(0.01, 0)</tt>.
-         - If the other object is exactly above me, the function returns <tt>Vector2(0, 0.5)</tt>.
-    */
-    orxonox::Vector2 get2DViewcoordinates(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition)
-    {
-        orxonox::Vector3 distance = otherposition - myposition;
-
-        // project difference vector on our plane
-        orxonox::Vector3 projection = Ogre::Plane(mydirection, myposition).projectVector(distance);
-
-        float projectionlength = projection.length();
-        if (projectionlength == 0)
-        {
-            if (myposition.dotProduct(otherposition) >= 0)
-                return orxonox::Vector2(0, 0);
-            else
-                return orxonox::Vector2(0, 1);
-        }
-        //float angle = acos(clamp<float>(myorthonormal.dotProduct(projection) / projectionlength, -1, 1));
-
-        float cos_value = clamp<float>(myorthonormal.dotProduct(projection) / projectionlength, -1, 1);
-        float sin_value = sqrt( 1 - cos_value*cos_value );
-
-        float distancelength = distance.length();
-        if (distancelength == 0) return orxonox::Vector2(0, 0);
-        float radius = acos(clamp<float>(mydirection.dotProduct(distance) / distancelength, -1, 1)) / math::pi;
-
-        if ((mydirection.crossProduct(myorthonormal)).dotProduct(distance) > 0)
-            return orxonox::Vector2( sin_value * radius, cos_value * radius);
-        else
-            return orxonox::Vector2( -sin_value * radius, cos_value * radius);
-    }
-
-    /**
-        @brief Returns the predicted position I have to aim at, if I want to hit a moving target with a moving projectile.
-        @param myposition My position
-        @param projectilespeed The speed of my projectile
-        @param targetposition The position of my target
-        @param targetvelocity The velocity of my target
-        @return The predicted position
-
-        The function predicts the position based on a linear velocity of the target. If the target changes speed or direction, the projectile will miss.
-    */
-    orxonox::Vector3 getPredictedPosition(const orxonox::Vector3& myposition, float projectilespeed, const orxonox::Vector3& targetposition, const orxonox::Vector3& targetvelocity)
-    {
-        float squaredProjectilespeed = projectilespeed * projectilespeed;
-        orxonox::Vector3 distance = targetposition - myposition;
-        float a = distance.squaredLength();
-        float b = 2 * (distance.x + distance.y + distance.z) * (targetvelocity.x + targetvelocity.y + targetvelocity.z);
-        float c = targetvelocity.squaredLength();
-
-        float temp = 4*squaredProjectilespeed*c + a*a - 4*b*c;
-        if (temp < 0)
-            return orxonox::Vector3::ZERO;
-
-        temp = sqrt(temp);
-        float time = (temp + a) / (2 * (squaredProjectilespeed - b));
-        return (targetposition + targetvelocity * time);
-    }
-
     /**
         @brief Returns a unique number. This function will never return the same value twice.
@@ -228,140 +44,3 @@
         return aNumber++;
     }
-
-
-    //////////////////////////
-    // Conversion functions //
-    //////////////////////////
-
-    // std::string to Vector2
-    bool ConverterFallback<std::string, orxonox::Vector2>::convert(orxonox::Vector2* output, const std::string& input)
-    {
-        size_t opening_parenthesis, closing_parenthesis = input.find('}');
-        if ((opening_parenthesis = input.find('{')) == std::string::npos)
-            opening_parenthesis = 0;
-        else
-            opening_parenthesis++;
-
-        SubString tokens(input.substr(opening_parenthesis, closing_parenthesis - opening_parenthesis),
-                         ",", SubString::WhiteSpaces, false, '\\', true, '"', true, '\0', '\0', true, '\0');
-        if (tokens.size() >= 2)
-        {
-            if (!convertValue(&(output->x), tokens[0]))
-                return false;
-            if (!convertValue(&(output->y), tokens[1]))
-                return false;
-
-            return true;
-        }
-        return false;
-    }
-
-    // std::string to Vector3
-    bool ConverterFallback<std::string, orxonox::Vector3>::convert(orxonox::Vector3* output, const std::string& input)
-    {
-        size_t opening_parenthesis, closing_parenthesis = input.find('}');
-        if ((opening_parenthesis = input.find('{')) == std::string::npos)
-            opening_parenthesis = 0;
-        else
-            opening_parenthesis++;
-
-        SubString tokens(input.substr(opening_parenthesis, closing_parenthesis - opening_parenthesis),
-                         ",", SubString::WhiteSpaces, false, '\\', true, '"', true, '\0', '\0', true, '\0');
-        if (tokens.size() >= 3)
-        {
-            if (!convertValue(&(output->x), tokens[0]))
-                return false;
-            if (!convertValue(&(output->y), tokens[1]))
-                return false;
-            if (!convertValue(&(output->z), tokens[2]))
-                return false;
-
-            return true;
-        }
-        return false;
-    }
-
-    // std::string to Vector4
-    bool ConverterFallback<std::string, orxonox::Vector4>::convert(orxonox::Vector4* output, const std::string& input)
-    {
-        size_t opening_parenthesis, closing_parenthesis = input.find('}');
-        if ((opening_parenthesis = input.find('{')) == std::string::npos)
-            opening_parenthesis = 0;
-        else
-            opening_parenthesis++;
-
-        SubString tokens(input.substr(opening_parenthesis, closing_parenthesis - opening_parenthesis),
-                         ",", SubString::WhiteSpaces, false, '\\', true, '"', true, '\0', '\0', true, '\0');
-        if (tokens.size() >= 4)
-        {
-            if (!convertValue(&(output->x), tokens[0]))
-                return false;
-            if (!convertValue(&(output->y), tokens[1]))
-                return false;
-            if (!convertValue(&(output->z), tokens[2]))
-                return false;
-            if (!convertValue(&(output->w), tokens[3]))
-                return false;
-
-            return true;
-        }
-        return false;
-    }
-
-    // std::string to Quaternion
-    bool ConverterFallback<std::string, orxonox::Quaternion>::convert(orxonox::Quaternion* output, const std::string& input)
-    {
-        size_t opening_parenthesis, closing_parenthesis = input.find('}');
-        if ((opening_parenthesis = input.find('{')) == std::string::npos)
-            opening_parenthesis = 0;
-        else
-            opening_parenthesis++;
-
-        SubString tokens(input.substr(opening_parenthesis, closing_parenthesis - opening_parenthesis), ",", SubString::WhiteSpaces, false, '\\', true, '"', true, '\0', '\0', true, '\0');
-        if (tokens.size() >= 4)
-        {
-            if (!convertValue(&(output->w), tokens[0]))
-                return false;
-            if (!convertValue(&(output->x), tokens[1]))
-                return false;
-            if (!convertValue(&(output->y), tokens[2]))
-                return false;
-            if (!convertValue(&(output->z), tokens[3]))
-                return false;
-
-            return true;
-        }
-        return false;
-    }
-
-    // std::string to ColourValue
-    bool ConverterFallback<std::string, orxonox::ColourValue>::convert(orxonox::ColourValue* output, const std::string& input)
-    {
-        size_t opening_parenthesis, closing_parenthesis = input.find('}');
-        if ((opening_parenthesis = input.find('{')) == std::string::npos)
-            opening_parenthesis = 0;
-        else
-            opening_parenthesis++;
-
-        SubString tokens(input.substr(opening_parenthesis, closing_parenthesis - opening_parenthesis), ",", SubString::WhiteSpaces, false, '\\', true, '"', true, '\0', '\0', true, '\0');
-        if (tokens.size() >= 3)
-        {
-            if (!convertValue(&(output->r), tokens[0]))
-                return false;
-            if (!convertValue(&(output->g), tokens[1]))
-                return false;
-            if (!convertValue(&(output->b), tokens[2]))
-                return false;
-            if (tokens.size() >= 4)
-            {
-                if (!convertValue(&(output->a), tokens[3]))
-                    return false;
-            }
-            else
-                output->a = 1.0;
-
-            return true;
-        }
-        return false;
-    }
 }
